Turn on SSL checks

- « OAuth::enableRedirects

- OAuth::fetch »

- PHP Manual
- OAuth
- Turn on SSL checks

# OAuth::enableSSLChecks

(PECL OAuth >= 0.99.5)

OAuth::enableSSLChecks — Turn on SSL checks

### Description

public OAuth::enableSSLChecks(): bool

Turns on the usual SSL peer certificate and host checks (enabled by default). Alternatively, the sslChecks property can be set to a non-`false` value to turn SSL checks on.

### Parameters

This function has no parameters.

### Return Values

`true`

### Changelog

Version | Description
--- | ---
PECL oauth 0.99.8 | The `sslChecks` member was added

### See Also

- OAuth::disableSSLChecks() - Turn off SSL checks